#pragma once


// CSideBar dialog
#include "INKS.h"
class CINKSDoc;
class CChildFrame;

class CSideBar : public CDialogBar
{
	DECLARE_DYNAMIC(CSideBar)

public:
	CSideBar(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSideBar();
	void Initialize();
	void UpdatePtrs();

	void SelNoSubdlg();
	void SelGateSubdlg();
	void SelBlockSubdlg();

	CString GetGateName();

	void InsertObjectHit(int nButton);
	void ObjectInserted();
	void ShowInfo(CINKSDoc *pDoc); // 0-no object selected->show opened document info; 1-one object selected; 2-multiple selected
	void HideInfo();
	void UpdateConnections();

	void UpdateSpin1(int nDelta);
	void UpdateSpin2(int nDelta);

	int GetObjRotation();

private:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	

public:
	int m_nSelectedSource;	// 1-app resources; 2-project resources; -1 none

private:
	// Creation pointers
	CComboBox* m_ComboBox1;
	CComboBox* m_ComboBox2;
	CStatic **m_StaticText;
	CButton **m_Buttons;
	CEdit **m_pRotEdit;
	CSpinButtonCtrl **m_pRotSpin;

	// Information pointers
	CStatic **m_pStaticInfoText;
	CEdit *m_pRenameObjectEdit;
	CButton *m_pApplyRename;
	//CComboBox **m_pInOutCombo;
	CListBox **m_pInOutList;

private:
	enum { IDD = IDD_SIDEBAR };
public:
	DECLARE_MESSAGE_MAP()
};
